RubyGems Navigation menu

fog 2.3.0

The Ruby cloud services library. Supports all major cloud providers including AWS, Rackspace, Linode, Blue Box, StormOnDemand, and many others. Full support for most AWS services including EC2, S3, CloudWatch, SimpleDB, ELB, and RDS.

Gemfile:
= Copy to clipboard Copied!

instalar:
=

Versões:

  1. 2.3.0 - October 03, 2022 (470 KB)
  2. 2.2.0 - June 18, 2019 (468 KB)
  3. 2.1.0 - November 12, 2018 (532 KB)
  4. 2.0.0 - March 06, 2018 (545 KB)
  5. 2.0.0.pre.0 - September 15, 2015 (1,16 MB)
Mostrar todas as versões (246)

Runtime Dependencies (34):

fog-aliyun >= 0.1.0
fog-atmos >= 0
fog-aws >= 0.6.0
fog-brightbox >= 0.4, < 2.0
fog-cloudstack ~> 0.1.0
fog-core ~> 2.1
fog-digitalocean >= 0.3.0
fog-dnsimple ~> 2.1
fog-dynect >= 0.0.2, < 0.6.0
fog-ecloud ~> 0.1
fog-google ~> 1.0
fog-json >= 0
fog-local >= 0
fog-ovirt >= 0
fog-powerdns >= 0.1.1
fog-radosgw >= 0.0.2
fog-riakcs >= 0
fog-sakuracloud >= 0.0.4
fog-voxel >= 0
fog-vsphere >= 0.4.0
fog-xml ~> 0.1.1
ipaddress ~> 0.5
json ~> 2.3

Development Dependencies (18):

docker-api >= 1.13.6
fission >= 0
mime-types >= 0
minitest >= 0
opennebula >= 0
pry >= 0
rake >= 0
rbvmomi >= 0
rspec-core >= 0
rubocop = 1.28.2
shindo ~> 0.3.4
simplecov >= 0
thor >= 0
vcr >= 0
webmock ~> 3.18.1
yard >= 0

Donos:

Pushed by:

Autores:

  • geemus (Wesley Beary)

SHA 256 checksum:

= Copy to clipboard Copied!

Total de downloads 57.548.715

Desta versão 94.311

Licença:

MIT

Versão Requerida do Ruby: >= 2.5.0

Links: